Package Details: qt4 4.8.7-31

Git Clone URL: https://aur.archlinux.org/qt4.git (read-only, click to copy)
Package Base: qt4
Description: A cross-platform application and UI framework
Upstream URL: https://www.qt.io
Licenses: custom, GPL3, LGPL, FDL
Conflicts: qt
Replaces: qt<=4.8.4
Submitter: arojas
Maintainer: dviktor
Last Packager: dviktor
Votes: 28
Popularity: 3.21
First Submitted: 2019-05-01 11:51
Last Updated: 2019-07-29 18:11

Dependencies (29)

Required by (676)

Sources (20)

Pinned Comments

dviktor commented on 2019-06-18 12:50

Binary version for latest version (4.8.7-31) with PGP signature is available here

eschwartz commented on 2019-05-09 13:24

@semeion,

qt4 was expelled from the official repositories due to https://lists.archlinux.org/pipermail/arch-dev-public/2019-April/029560.html

It will not be restored, because software needs to stop using qt4. It's fine for people to still use it via the AUR if they have old software that is not ported, but the proper solution is to get that software ported to qt5.

"It takes a long time to compile" is not a reason to move it to community.

@xuanruiqi,

Only Developers and Trusted Users have access to pkgbuild.com, and we will not be uploading qt4 there. If we wanted qt4, we would upload it to community, but we don't -- we have managed to move every package still being actively maintained in the official repos, over to qt5, and we want to stay that way.

...

Again, the proper long-term solution is to get software ported over to qt5.

dviktor commented on 2019-05-05 17:49

For those who have problems with ‘std::tr1’ has not been declared error: build in clean chroot with extra-x86_64-build script.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

applebloom commented on 2019-11-24 10:01

I can't copmpile this package now. I get errors:

/wtf/TypeTraits.h:186:69: error: ‘std::tr1’ has not been declared
  186 |     template<typename T> struct HasTrivialConstructor : public std::tr1::has_trivial_constructor<T> { };
      |                                                                     ^~~
./wtf/TypeTraits.h:186:74: error: expected ‘{’ before ‘has_trivial_constructor’
  186 |     template<typename T> struct HasTrivialConstructor : public std::tr1::has_trivial_constructor<T> { };
      |                                                                          ^~~~~~~~~~~~~~~~~~~~~~~
./wtf/TypeTraits.h:187:68: error: ‘std::tr1’ has not been declared
  187 |     template<typename T> struct HasTrivialDestructor : public std::tr1::has_trivial_destructor<T> { };
      |                                                                    ^~~
./wtf/TypeTraits.h:187:73: error: expected ‘{’ before ‘has_trivial_destructor’
  187 |     template<typename T> struct HasTrivialDestructor : public std::tr1::has_trivial_destructor<T> { };
      |                                                                         ^~~~~~~~~~~~~~~~~~~~~~
In file included from ./wtf/FastAllocBase.h:93,
                 from ./wtf/RefCounted.h:25,
                 from ./wtf/CrossThreadRefCounted.h:36,
                 from ./wtf/text/StringImpl.h:28,
                 from ./runtime/UString.h:26,
                 from yarr/YarrSyntaxChecker.h:29,
                 from yarr/YarrSyntaxChecker.cpp:27:
./wtf/TypeTraits.h:186:69: error: ‘std::tr1’ has not been declared
  186 |     template<typename T> struct HasTrivialConstructor : public std::tr1::has_trivial_constructor<T> { };
      |                                                                     ^~~
./wtf/TypeTraits.h:186:74: error: expected ‘{’ before ‘has_trivial_constructor’
  186 |     template<typename T> struct HasTrivialConstructor : public std::tr1::has_trivial_constructor<T> { };
      |                                                                          ^~~~~~~~~~~~~~~~~~~~~~~
./wtf/TypeTraits.h:187:68: error: ‘std::tr1’ has not been declared
  187 |     template<typename T> struct HasTrivialDestructor : public std::tr1::has_trivial_destructor<T> { };
      |                                                                    ^~~
./wtf/TypeTraits.h:187:73: error: expected ‘{’ before ‘has_trivial_destructor’
  187 |     template<typename T> struct HasTrivialDestructor : public std::tr1::has_trivial_destructor<T> { };
      |                                                                         ^~~~~~~~~~~~~~~~~~~~~~
make[2]: *** [Makefile.WebKit:1779: .obj/release-static/CryptographicallyRandomNumber.o] Błąd 1
In file included from ./wtf/FastAllocBase.h:93,
                 from ./wtf/RefCounted.h:25,
                 from ./wtf/CrossThreadRefCounted.h:36,
                 from ./wtf/text/StringImpl.h:28,
                 from ./runtime/UString.h:26,
                 from yarr/YarrPattern.h:30,
                 from yarr/YarrPattern.cpp:28:
./wtf/TypeTraits.h:186:69: error: ‘std::tr1’ has not been declared
  186 |     template<typename T> struct HasTrivialConstructor : public std::tr1::has_trivial_constructor<T> { };
      |                                                                     ^~~
./wtf/TypeTraits.h:186:74: error: expected ‘{’ before ‘has_trivial_constructor’
  186 |     template<typename T> struct HasTrivialConstructor : public std::tr1::has_trivial_constructor<T> { };
      |                                                                          ^~~~~~~~~~~~~~~~~~~~~~~
./wtf/TypeTraits.h:187:68: error: ‘std::tr1’ has not been declared
  187 |     template<typename T> struct HasTrivialDestructor : public std::tr1::has_trivial_destructor<T> { };
      |                                                                    ^~~
./wtf/TypeTraits.h:187:73: error: expected ‘{’ before ‘has_trivial_destructor’
  187 |     template<typename T> struct HasTrivialDestructor : public std::tr1::has_trivial_destructor<T> { };
      |                                                                         ^~~~~~~~~~~~~~~~~~~~~~

dviktor commented on 2019-11-04 17:07

@Win8Error can you please post your logs in English? Also you can try pre-built binary from pinned comment

Win8Error commented on 2019-11-04 13:47

Build failed

In Datei, eingebunden von /home/joel/qt4/src/qt-everywhere-opensource-src-4.8.7/mkspecs/linux-g++/qplatformdefs.h:65, von /home/joel/qt4/src/qt-everywhere-opensource-src-4.8.7/src/corelib/io/qfilesystemiterator_unix.cpp:42: /usr/include/dirent.h:183:12: Anmerkung: hier deklariert 183 | extern int readdir_r (DIR __restrict __dirp, | ^~~~~~~~~ /home/joel/qt4/src/qt-everywhere-opensource-src-4.8.7/src/corelib/io/qfilesystemiterator_unix.cpp:114:60: Warnung: »int readdir_r(DIR, dirent, dirent)« ist veraltet [-Wdeprecated-declarations] 114 | lastError = QT_READDIR_R(dir, mt_file.data(), &dirEntry); | ^ In Datei, eingebunden von /home/joel/qt4/src/qt-everywhere-opensource-src-4.8.7/mkspecs/linux-g++/qplatformdefs.h:65, von /home/joel/qt4/src/qt-everywhere-opensource-src-4.8.7/src/corelib/io/qfilesystemiterator_unix.cpp:42: /usr/include/dirent.h:183:12: Anmerkung: hier deklariert 183 | extern int readdir_r (DIR __restrict __dirp, | ^~~~~~~~~ MySQL support cannot be enabled due to functionality tests! Turn on verbose messaging (-v) to ./configure to see the final report. If you believe this message is in error you may use the continue switch (-continue) to ./configure to continue. ==> FEHLER: Ein Fehler geschah in build(). Breche ab...

George commented on 2019-09-10 07:14

I've do that

Manually download https://download.qt.io/archive/qt/4.8/4.8.7/qt-everywhere-opensource-src-4.8.7.tar.gz into /tmp

then edit PKGBUILD

  • remove url (for download qt-everywhere-opensource-src…) from source list (first element of array)
  • remove checksum for qt-everywhere-opensource-src... (first element of array)
  • add to the beginning of the function prepare() (line 62)

cd /tmp/yaourt-tmp-george/aur-qt4

cp /tmp/qt-everywhere-opensource-src-4.8.7.tar.gz .

tar xzf /tmp/qt-everywhere-opensource-src-4.8.7.tar.gz

  • add to the beginning of the function build() (line 120)

cd /tmp/yaourt-tmp-george/aur-qt4

shaeinst commented on 2019-08-27 01:13

download the latest binary files from here https://openload.co/f/6AQJDrkiAvI/qt4-4.8.7-31-x86_64.pkg.tar.xz

dviktor commented on 2019-08-14 22:02

@NobodyDBG, @Rumcajs try to build in clean chroot

NobodyDBG commented on 2019-08-02 08:51

Can't build: make[2]: [Makefile.WebKit:1381: .obj/release-static/YarrPattern.o] Fehler 1 In Datei, eingebunden von heap/MarkStack.h:32, von heap/Heap.h:27, von runtime/JSGlobalData.h:33, von interpreter/CallFrame.h:26, von runtime/ArgList.h:25, von runtime/JSObject.h:26, von wtf/DateMath.cpp:79: ./wtf/HashSet.h: In Instanziierung von »std::pair<WTF::HashTableConstIteratorAdapter<WTF::HashTable<typename TraitsArg::TraitType, typename TraitsArg::TraitType, WTF::IdentityExtractor<typename TraitsArg::TraitType>, HashArg, TraitsArg, TraitsArg>, typename TraitsArg::TraitType>, bool> WTF::HashSet<Value, HashFunctions, Traits>::add(const ValueType&) [mit ValueArg = void; HashArg = WTF::PtrHash<void*>; TraitsArg = WTF::HashTraits<void*>; typename TraitsArg::TraitType = void; WTF::HashSet<Value, HashFunctions, Traits>::ValueType = void]«: heap/MarkStack.h:74:71: von hier erfordert ./wtf/HashSet.h:191:32: Fehler: »((WTF::HashSet<void*>)this)->WTF::HashSet<void*>::m_impl.WTF::HashTable<void*, void*, WTF::IdentityExtractor<void*>, WTF::PtrHash<void*>, WTF::HashTraits<void*>, WTF::HashTraits<void*> >::add(( & value))« konnte nicht von »pair<WTF::HashTableIterator<void*, void*, WTF::IdentityExtractor<void*>, WTF::PtrHash<void*>, WTF::HashTraits<void*>, WTF::HashTraits<void*> >,[...]>« nach »pair<WTF::HashTableConstIteratorAdapter<WTF::HashTable<void*, void*, WTF::IdentityExtractor<void*>, WTF::PtrHash<void*>, WTF::HashTraits<void*>, WTF::HashTraits<void*> >, void*>,[...]>« umgewandelt werden 191 | return m_impl.add(value); | ^ | | | pair<WTF::HashTableIterator<void*, void*, WTF::IdentityExtractor<void*>, WTF::PtrHash<void*>, WTF::HashTraits<void*>, WTF::HashTraits<void*> >,[...]> make[2]: * [Makefile.WebKit:2196: .obj/release-static/DateMath.o] Fehler 1 make[2]: Verzeichnis „/tmp/yaourt-tmp-kevin/aur-qt4/src/qt-everywhere-opensource-src-4.8.7/src/3rdparty/webkit/Source/JavaScriptCore“ wird verlassen make[1]: [Makefile.WebKit:43: sub-JavaScriptCore-JavaScriptCore-pro-make_default-ordered] Fehler 2 make[1]: Verzeichnis „/tmp/yaourt-tmp-kevin/aur-qt4/src/qt-everywhere-opensource-src-4.8.7/src/3rdparty/webkit/Source“ wird verlassen make: [Makefile:747: sub-webkit-make_default-ordered] Fehler 2 ==> FEHLER: Ein Fehler geschah in build(). Breche ab... ==> FEHLER:Makepkg konnte qt4 nicht erstellen. ==> Erstellen von qt4 neu starten?[j/N] ==> -----------------------------------

Rumcajs commented on 2019-07-31 16:29

Build fails, pls provide a binary package, thx.

yarr/YarrPattern.cpp: In member function ‘bool JSC::Yarr::YarrPatternConstructor ::setupAlternativeBeginTerms(JSC::Yarr::PatternAlternative, WTF::Vector<JSC::Yarr::TermChain>, unsigned int, unsigned int)’: yarr/YarrPattern.cpp:869:17: warning: this statement may fall through [-Wimplicit-fallthrough=] 869 | if (term.invert()) | ^~ yarr/YarrPattern.cpp:872:13: note: here 872 | case PatternTerm::TypeParenthesesSubpattern: | ^~~~ make[2]: [Makefile.WebKit:1381: .obj/release-static/YarrPattern.o] Error 1 make[2]: Leaving directory '/tmp/makepkg/qt4/src/qt-everywhere-opensource-src-4.8.7/src/3rdparty/webkit/Source/JavaScriptCore' make[1]: [Makefile.WebKit:43: sub-JavaScriptCore-JavaScriptCore-pro-make_default-ordered] Error 2

slav commented on 2019-07-31 06:21

@mozo Thanks

dviktor commented on 2019-07-30 09:10

@mozo

FIY permalink to the latest binary version is in attached post